# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Jan 12 02:42:47 2023
# ------------------------------------------------

package:
  name: jupyter_server_terminals
  version: 0.4.4
source:
  sha256: 57ab779797c25a7ba68e97bcfb5d7740f2b5e8a83b5e8102b10438041a7eac5d
  url: https://pypi.io/packages/source/j/jupyter-server-terminals/jupyter_server_terminals-0.4.4.tar.gz
build:
  noarch: python
  number: '1'
  script: /home/conda/feedstock_root/build_artifacts/jupyter_server_terminals_1673491454549/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . -vv
  string: pyhd8ed1ab_1
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.12.7 ha878542_0
    - editables 0.3 pyhd8ed1ab_0
    - hatchling 1.12.2 pyhd8ed1ab_0
    - importlib-metadata 6.0.0 pyha770c72_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.40.0 h753d276_0
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.7 h0b41bf4_1
    - packaging 23.0 pyhd8ed1ab_0
    - pathspec 0.10.3 pyhd8ed1ab_0
    - pip 22.3.1 pyhd8ed1ab_0
    - pluggy 1.0.0 pyhd8ed1ab_5
    - python 3.11.0 ha86cf86_0_cpython
    - readline 8.1.2 h0f457ee_0
    - setuptools 65.6.3 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tomli 2.0.1 pyhd8ed1ab_0
    - tzdata 2022g h191b570_0
    - wheel 0.38.4 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zipp 3.11.0 pyhd8ed1ab_0
  run:
    - python >=3.8
    - terminado >=0.8.3
test:
  commands:
    - pip check
    - pytest -vv --cov=jupyter_server_terminals --cov-report=term-missing:skip-covered
      --no-cov-on-fail --cov-fail-under=80
  imports:
    - jupyter_server_terminals
  requires:
    - jupyter_server >=2.0.0rc8
    - pip
    - pytest >=7.0
    - pytest-cov
    - pytest-jupyter-server >=0.5.3
    - pytest-timeout
  source_files:
    - tests
about:
  home: https://github.com/jupyter-server/jupyter_server_terminals
  license: BSD-3-Clause
  license_file: LICENSE
  summary: A Jupyter Server Extension Providing Terminals.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - conda-forge/jupyter_server
